=== debian/control ===
Source: libcda
Section: libs
Priority: extra
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: libcda
Architecture: any
Depends: ${shlibs:Depends}, openrdate
Description:  A simple, cross-platform CD playing library
 Web page: http://tjaden.strangesoft.net/libcda/
XSBC-Bugtracker: mailto:aapo.rantalainen@gmail.com
