## libcda 0.5-maemo2

=== debian/changelog ===
libcda (0.5-maemo2) unstable; urgency=low

  * Fremantle packaging
  * Contains only linux-part of libcda (because of fuzzy licensing of others)

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Tue, 17 May 2011 21:40:59 +0200
