=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: libcda
 Architecture: any
-Depends: ${shlibs:Depends}, openrdate
+Depends: ${shlibs:Depends}
 Description:  A simple, cross-platform CD playing library
  Web page: http://tjaden.strangesoft.net/libcda/
 XSBC-Bugtracker: mailto:aapo.rantalainen@gmail.com
